import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/process/calcuators/urm_calcuators/urm_location_vel.dart';
import 'package:fis_measure/process/primitives/location.dart';

class URMLocationVelMeasure extends Location {
  URMLocationVelMeasure(super.meta, super.parent);

  static URMLocationVelMeasure createURMLocationVelMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMLocationVelMeasure measureLocationVel =
        URMLocationVelMeasure(meta, parent);

    measureLocationVel.calculator = URMLocationVelCal(
      measureLocationVel,
    );
    return measureLocationVel;
  }
}
