import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/process/calcuators/distance.dart';
import 'package:fis_measure/process/primitives/straightline.dart';

class URMVesselMeasure extends StraightLine {
  URMVesselMeasure(super.meta, super.parent);

  static URMVesselMeasure createURMVesselMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMVesselMeasure measureVessel = URMVesselMeasure(meta, parent);
    measureVessel.calculator = DistanceCal(measureVessel);
    return measureVessel;
  }
}
